package com.dsic.gj_erp.bean.pgd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PgdQgjh对象", description="")
public class PgdQgjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "领取类别")
    private String lqlb;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "套料图号")
    private String tlth;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpcz;

    @ApiModelProperty(value = "重量")
    private String wpzl;

    @ApiModelProperty(value = "切割计划期")
    private String qgjhrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "抛丸计划完工期")
    private String pwjhwgrq;

    @ApiModelProperty(value = "切割负责人")
    private String qgfzry;

    @ApiModelProperty(value = "划线设备编号")
    private String hxsbbh;

    @ApiModelProperty(value = "划线长度")
    private Double hxcd;
    @ApiModelProperty(value = "实际划线长度")
    private Double fkhxcd;

    @ApiModelProperty(value = "划线空程长度")
    private Double hxkccd;

    @ApiModelProperty(value = "切割设备编号")
    private String qgsbbh;

    @ApiModelProperty(value = "切割长度")
    private String qgcd;
    @ApiModelProperty(value = "实际切割长度")
    private String fkqgcd;

    @ApiModelProperty(value = "切割空程长度")
    private Double qgkccd;

    @ApiModelProperty(value = "划线人员")
    private String hxry;

    @ApiModelProperty(value = "划线开始时间")
    private String hxksrq;

    @ApiModelProperty(value = "划线结束时间")
    private String hxjsrq;

    @ApiModelProperty(value = "切割人员")
    private String qgry;

    @ApiModelProperty(value = "切割开始时间")
    private String qgksrq;

    @ApiModelProperty(value = "切割结束时间")
    private String qgjsrq;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "编制人")
    private String bzry;

    @ApiModelProperty(value = "编制日期")
    private String bzrq;

    @ApiModelProperty(value = "下发人")
    private String xfry;

    @ApiModelProperty(value = "下发日期")
    private String xfrq;

    @ApiModelProperty(value = "反馈人")
    private String fkry;

    @ApiModelProperty(value = "反馈日期")
    private String fkrq;

    @ApiModelProperty(value = "反馈原因")
    private String fkyy;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private  String scdw;
    private  String scry;
    private  String jsry;
    private  String jsrq;
    private String  qglsh;
}
