package com.dsic.gj_erp.bean.xiaochi;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;

/**
 * 切割计划及执行情况
 */
@Getter
@Setter
@TableName("tbl_nest_mast")
public class CutPlan extends Model<CutPlan> {
    @TableId(type = IdType.AUTO)
    private Integer nestId;

    private String nestName;

    private String nestNameSub1;//套料图号 _V:切割;_K:划线

    private String nestItaatu;//厚

    private String nestSizeY;//长

    private String nestSizeX;//宽

    private Integer nestCutHo;//设备id

    private String nestKakuyakuDate;//开始日期

    private String nestKakuyakuTime;//开始时间

    private String nestTumikomiDate;//结束日期

    private String nestTumikomiTime;//结束时间

    private String nestSintyoku;//加工状态（1：计划 3：正在加工 5：完成）

    private String nestExtC02;//船号

    private String nestExtC03;//跨位

    private String nestExtC04;//批

    private String nestExtC05;//操作人

    public String getQgkssj(){
        return StrUtil.isAllNotEmpty(this.nestKakuyakuDate,this.nestKakuyakuTime)?this.nestKakuyakuDate+" "+this.nestKakuyakuTime:"";
    }

    public String getQgjssj(){
        return StrUtil.isNotEmpty(this.nestTumikomiTime)?this.nestTumikomiDate+" "+this.nestTumikomiTime:"";
    }

    private String nestExtC09;

    private Integer nestMarkTime;

    private String nestBozaiName;

    private Double nestExtD03;

    private Double nestExtD09;

    private String nestNameSub3;

    private Integer nestKapWorkNo;

    private String nestExtC06;


    private Double nestExtD06;

    private Double nestSjyuryou;

    private Double nestCutLengs;

    private Integer nestExtI07;


    private String nestNouki2Time;

    private Integer nestPartSu;

    private Integer nestPalletNo;


    private Integer nestMoji;

    private String nestExtC00;

    private Double nestExtD00;

    private String nestYoteiNo;

    private Double nestBudomari;

    private Double nestSizeMy;

    private Double nestTapeLengs;

    private String nestExtC01;

    private String nestKanryoDate;

    private Double nestExtD01;

    private Double nestPjyuryou;

    private Integer nestExtI08;

    private Double nestExtD04;

    private String weekYoteiDate;

    private Integer nestScantlingNo;

    private Integer nestExtI05;

    private Integer nestJEtcTime;

    private String nestMachName;

    private String nestNouki1Time;

    private String nestManufacturer;

    private Integer nestJKakouTime;

    private Integer nestExtI02;

    private Double nestMarkLengs;

    private Integer nestHyoNo;

    private String nestKousinDate;

    private String nestYoteiDate;

    private Integer nestExtI03;

    private String nestModelName;

    private Integer nestDrill;

    private String nestHyoName;

    private String nestYoteiTime;

    private Integer nestExtI09;

    private Integer nestCuttingtableNo;

    private Double nestSizeMx;

    private Integer nestJDandoriTime;

    private Integer nestExtI06;

    private String nestNouki2Date;

    private String nestSakuseiDate;

    private Integer nestKakouTime;

    private Integer nestJCutTime;

    private String nestExtC07;

    private String nestNcNo;

    private String nestKousinTime;

    private Double nestExtD07;

    private Integer nestBozaiIkei;

    private Integer nestExtI00;

    private Integer nestEtcTime;

    private Integer nestZaiNo;

    private Integer dataHi;

    private Integer nestDandoriTime;

    private String nestOaTransfer;

    private Integer nestExtI01;

    private String nestZaiName;

    private Integer dataLow;

    private String nestSakuseiTime;

    private Integer nestJMarkTime;

    private String nestExtC08;

    private Integer nestExtI04;

    private String nestNcName;

    private Integer nestMachNo;

    private String nestNouki1Date;

    private Double nestExtD08;

    private Integer nestItaTorisu;

    private String nestNameSub2;

    private Double nestKjyuryou;

    private Double nestExtD05;

    private Integer nestCutTime;

    private String nestKanryoTime;

    private Double nestExtD02;
}
