package com.dsic.gj_erp.controller.jcsj;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.DmWlqd;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.jcsj.DmWlqdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-21
 */
@RestController
@RequestMapping("/dmWlqd")
public class DmWlqdController {

    @Autowired
    DmWlqdService dmWlqdService;

    @PostMapping("/getLJQDList")
    @ResponseBody
    public ResultBean getLJQDList(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        List<DmWlqd> getTLTList = dmWlqdService.getLJQDList(map);
        return new ResultBean(getTLTList);

    }

}

