package com.dsic.gj_erp.ws;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = "ws")
public class WsProperties {
    private String host;

    private Integer port;

    private Integer workCount;

    private Boolean allowCustomRequests;

    private Integer upgradeTimeout;

    private Integer pingTimeout;

    private Integer pingInterval;

    private Integer maxHttpContentLength;

    private Integer maxFramePayloadLength;

    @Override
    public String toString() {
        return "ImProperties{" +
                "host='" + host + '\'' +
                ", port=" + port +
                ", workCount=" + workCount +
                ", allowCustomRequests=" + allowCustomRequests +
                ", upgradeTimeout=" + upgradeTimeout +
                ", pingTimeout=" + pingTimeout +
                ", pingInterval=" + pingInterval +
                ", maxHttpContentLength=" + maxHttpContentLength +
                ", maxFramePayloadLength=" + maxFramePayloadLength +
                '}';
    }
}
